<?php
//funkcia automaticky zisti kodovanie zdroja a vrati potrebny ciel enkodovany
//funkcia sa nastavuje cez encoding_config.php
function konvertuj_do($zdroj,$zdrojove_enkodovanie,$cielove_enkodovanie,$zap_vyp){
	if($zap_vyp=="1"){
		//zisti enkodovanie znakov zdroja
		$enkodovanie = mb_detect_encoding($zdroj,"auto"); 
		//ak som nastavil zdrojove_enkodovanie na prazdny retazec, pouzijem automaticke zistenie
		if($zdrojove_enkodovanie=="")$zdrojove_enkodovanie=$enkodovanie; 
		//ak existuje iconv, pouzijem ju konvertujem zdroj na ciel a vratim vysledny retazec
		if(function_exists('iconv')) return iconv($zdrojove_enkodovanie,$cielove_enkodovanie,$zdroj);
		//inak pouzijem mb_convert_encoding:
		//udajne ma mb_convert problem s enkodovanim Windows-1250, preto najskor pouzivam iconv
		//odstran vsetky otazniky takze mozeme odstranit problemy z konverzacneho procesu
		$ciel = str_replace("?","[question_mark]",$zdroj);
		//konvertujem retazec do cieloveho kodovania
		$ciel=mb_convert_encoding($ciel,$cielove_enkodovanie,$enkodovanie);
		//odstranim otazniky, ktore boli vlozene v dosledku nevhodnych znakov
		$ciel = str_replace("?","",$ciel );
		//nahradim svoj pomocny retazec "[question_mark]" symbolom "?"
		$ciel=str_replace("[question_mark]","?",$ciel);
		//vratim vysledny retazec v cielovom kodovani
		return $ciel;
    }else{
		//ak je konverzia medzi kodovaniami vypnuta, tak len vratim povodny text vlozeny do fcie
		return $zdroj;
	}
    }
?>
